package com.diagbot.client;

import com.diagbot.client.bean.Response;
import com.diagbot.client.bean.ResponseData;
import com.diagbot.client.bean.SearchData;
import com.diagbot.client.hystrix.AIServiceHystrix;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/20 13:15
 */
@FeignClient(name = "AI", url = "${ai.server.address}", fallback = AIServiceHystrix.class)
public interface AIServiceClient {
    @PostMapping(value = "/web/doc/algorithm/neural")
    Response<ResponseData> bayesPageData(@RequestBody SearchData searchData);
}
