package com.diagbot.dto;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

/**
 * @Description:
 * @author: rengb
 * @time: 2018/11/19 18:56
 */
@ApiModel(value="历史病历列表接口出参")
@Getter
@Setter
public class HisInquiryDTO{
	
	/**
	 * 病历id
	 */
	@ApiModelProperty(value="病历id")
	private Long id;
	
    /**
     * 就诊序列号
     */
	@ApiModelProperty(value="就诊序列号")
    private String inquiryCode;

    /**
     * 就诊状态（0待接诊，1接诊中，2完成接诊）
     */
	@ApiModelProperty(value="就诊状态（0待接诊，1接诊中，2完成接诊）")
    private Integer regVisitedState;

    /**
     * 分类(1:门诊,2:住院)
     */
	@ApiModelProperty(value="分类(1:门诊,2:住院)")
    private Integer type;

    /**
     * 诊断
     */
	@ApiModelProperty(value="诊断")
    private String diagnose;

    /**
     * 类型：1：结构化 2：文本模式
     */
	@ApiModelProperty(value="类型：1：结构化 2：文本模式")
    private Integer sign;

    /**
     * 内容JSON字符串
     */
	@ApiModelProperty(value="内容JSON字符串")
    private String dataJson;
	
	
	/**
	 * 病历时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
	@ApiModelProperty(value="病历时间")
	private Date gmtCreate;
	
}
