package com.diagbot.dto;

import com.diagbot.entity.QuestionDetail;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

/**
 * @Description: 返回标签内容
 * @Author: ztg
 * @Date: 2018/10/24 16:11
 */
@Getter
@Setter
public class QuestionDTO {

    private Long id;// id
    private String name;//内容
    private String tagName;//标签名称
    private Integer type;//类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断）
    private Integer controlType; //控件类型
    private Integer subType; //子类型
    private String tagType; //标签标识
    private String labelPrefix; //前置内容
    private String labelSuffix; //后置内容
    private BigDecimal minValue; //最小值
    private BigDecimal maxValue; //最大值
    private Integer position;    //标签显示位置(0：在标签后，1：在标签前)
    private Integer showAdd;    //是否显示+
    private Integer formPosition; //填写单显示位置(0：左， 1：上)
    private Integer textGenerate;  //文本生成规则
    private Integer symptomType; //主症状和伴随症状对应的question类型
    private Integer exclusionType; //互斥类型
    private String judgeType; //判断类型（0:本身异常；1:本身正常；2:数字范围；3:计算公式；9:无需判断）
    private String copyType;//是否复制
    private List<QuestionDetail> questionDetailList = new ArrayList<>(); //标签明细表
    private List<QuestionDTO> questionMapping = new ArrayList<>();     //下级标签
    private String remark;//备注
}
