package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 标签基础表
 * </p>
 *
 * @author zhoutg
 * @since 2018-11-15
 */
@Getter
@Setter
@TableName("icss_question_info")
public class QuestionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;

    /**
     * 内容
     */
    private String name;

    /**
     * 标签名
     */
    private String tagName;

    /**
     * 性别(1：男 2：女 3：通用)
     */
    private Integer sexType;

    /**
     * 最小年龄
     */
    private Integer ageBegin;

    /**
     * 最大年龄
     */
    private Integer ageEnd;

    /**
     * 类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断）
     */
    private Integer type;

    /**
     * 控件类型
     */
    private Integer controlType;


    /**
     * 子类型，(31：既往史 32：家族史 33：个人史 34：月经史 35：婚育史)
     */
    private Integer subType;

    /**
     * 标签标识
     */
    private String tagType;


    /**
     * 前置内容
     */
    private String labelPrefix;

    /**
     * 后置内容
     */
    private String labelSuffix;

    /**
     * 最小值
     */
    private BigDecimal minValue;

    /**
     * 最大值
     */
    private BigDecimal maxValue;

    /**
     * 判断类型（0:本身异常；1:本身正常；2:数字范围；3:计算公式；9:无需判断）
     */
    private String judgeType;


    /**
     * 是否显示 + (0：不显示 1 ：显示)
     */
    private String copyType;


    /**
     * 文本生成规则
     */
    private Integer textGenerate;

    /**
     * 是否显示 +
     */
    private Integer showAdd;

    /**
     * 备注
     */
    private String remark;

}
