package com.diagbot.facade;

import java.util.List;

import org.springframework.stereotype.Component;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.dto.HospitalInfoDTO;
import com.diagbot.entity.HospitalInfo;
import com.diagbot.exception.CommonErrorCode;
import com.diagbot.exception.CommonException;
import com.diagbot.service.impl.HospitalInfoServiceImpl;
import com.diagbot.util.ListUtil;
import com.diagbot.vo.HospitalInfoVO;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/11/22 13:43
 */
@Component
public class HospitalInfoFacade extends HospitalInfoServiceImpl {

    /**
     * 获取医院信息
     * @param hospitalInfoVO
     * @return
     */
    public List<HospitalInfoDTO> getHospitalInfo(HospitalInfoVO hospitalInfoVO) {
        List<HospitalInfoDTO> hospitalInfoDTOList = this.getHospitalInfos(hospitalInfoVO);
        if(ListUtil.isEmpty(hospitalInfoDTOList)){
            throw new CommonException(CommonErrorCode.NOT_EXISTS,
                    "获取医院信息失败");
        }
        return hospitalInfoDTOList;
    }
    
    /**
     * 通过医院编码获取医院信息
     * @param code 医院编码
     * @return
     */
    public HospitalInfo getHospitalByCode(String code){
    	QueryWrapper<HospitalInfo> queryWrapper = new QueryWrapper<HospitalInfo>();
    	queryWrapper.eq("is_deleted", "N");
    	queryWrapper.eq("code", code);
    	queryWrapper.eq("status", 1);
    	return this.getOne(queryWrapper);
    }
    
}
