package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.DeptInfoFacade;
import com.diagbot.vo.DeptInfoVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;
import java.util.List;

/**
 * <p>
 * 科室信息表 前端控制器
 * </p>
 *
 * @author wangyu
 * @since 2018-11-19
 */
@RestController
@RequestMapping("/deptInfo")
@Api(value = "科室信息API", tags = { "科室信息API" })
@SuppressWarnings("unchecked")
public class DeptInfoController {

    @Autowired
    private DeptInfoFacade deptInfoFacade;

    @ApiOperation(value = "科室信息——查询[by:wangyu]",
            notes = "deptCode：科室编号，必填<br>" +
                    "hospitalCode:医院编号，必填<br>")
    @PostMapping("/getDeptInfo")
    @SysLogger("getDeptInfo")
    public RespDTO<List<DeptInfoDTO>> getDeptInfo(@Valid @RequestBody DeptInfoVO deptInfoVO) {
        List<DeptInfoDTO> data = deptInfoFacade.getDeptInfo(deptInfoVO);
        return RespDTO.onSuc(data);
    }
}
