package com.diagbot.web;


import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.baomidou.mybatisplus.core.toolkit.BeanUtils;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.DisclaimerInformationDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.VersionWrapperDTO;
import com.diagbot.entity.DisclaimerInformation;
import com.diagbot.facade.DisclaimerInformationFacaed;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

import java.util.ArrayList;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.transaction.annotation.Transactional;


/**
 * 
 * @author wangfeng
 * @Description:  免责申明详情 前端控制器
 * @date 2018年11月27日 下午3:35:57
 */
@RestController
@RequestMapping("/disclaimerInformation")
@Api(value = "免责申明详情API[by:wangfeng]", tags = { "WF——免责申明详情API" })
@SuppressWarnings("unchecked")
public class DisclaimerInformationController {
	
	@Autowired
	DisclaimerInformationFacaed disclaimerInformationFacaed;

	@ApiOperation(value = "获取免责申明详情[by:wangfeng]", notes = "获取免责申明详情")
	@PostMapping("/getDisclaimerInformations")
	@SysLogger("getDisclaimerInformations")
	@Transactional
	public RespDTO<List<DisclaimerInformationDTO>> getDisclaimerInformations() {

		List<DisclaimerInformationDTO> data = disclaimerInformationFacaed.getDisclaimerInformation();
		
		return RespDTO.onSuc(data);
	}
}
