package com.diagbot.web;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;
import com.diagbot.dto.VersionWrapperDTO;
import com.diagbot.facade.VersionInfoFacade;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**
 * <p>
 * 版本信息(关于) 前端控制器
 * </p>
 *
 * @author wangfeng
 * @since 2018-11-20
 */
@RestController
@RequestMapping("/versionInfo")
@Api(value = "版本信息(关于)API[by:wangfeng]", tags = { "WF——版本信息(关于)API" })
@SuppressWarnings("unchecked")
public class VersionInfoController {

	@Autowired
	VersionInfoFacade versionInfoFacade;

	@ApiOperation(value = "获取版本信息[by:wangfeng]", notes = "获取版本信息")
	@PostMapping("/getVersionInfoAlls")
	@SysLogger("getVersionInfoAlls")
	@Transactional
	public RespDTO<VersionWrapperDTO> getVersionInfoAlls() {

		VersionWrapperDTO data = versionInfoFacade.getVersionInfoAll();

		return RespDTO.onSuc(data);
	}

}
