package com.diagbot.client;

import com.diagbot.client.hystrix.IcssServiceHystrix;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.vo.DeptInfoVO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Description:
 * @author: wangyu
 * @time: 2018/12/3 17:46
 */
@FeignClient(value = "icss-service", fallback = IcssServiceHystrix.class)
public interface IcssServiceClient {
    @PostMapping("/deptInfo/getDeptInfo")
    RespDTO<List<DeptInfoDTO>> getDeptInfo(@RequestBody DeptInfoVO deptInfoVO);

    @PostMapping("/questionInfo/getQuestionInfos")
    RespDTO<QuestionInfo> getQuestionInfos(@RequestBody QuestionInfo questionInfo);
}
