package com.diagbot.client.hystrix;

import com.diagbot.client.IcssServiceClient;
import com.diagbot.dto.DeptInfoDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.vo.DeptInfoVO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;


/**
 * @Description: 调用Icss服务
 * @author: gaodm
 * @time: 2018/8/6 9:52
 */
@Component
@Slf4j
public class IcssServiceHystrix implements IcssServiceClient {
    @Override
    public RespDTO<List<DeptInfoDTO>> getDeptInfo(DeptInfoVO deptInfoVO) {
        log.error("【hystrix】调用{}异常", "getDeptInfo");
        return null;
    }

    @Override
    public RespDTO<QuestionInfo> getQuestionInfos(QuestionInfo questionInfo) {
        log.error("【hystrix】调用{}异常", "getQuestionInfos");
        return null;
    }
}
