package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 标签明细表
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */
@TableName("icss_question_detail")
@Getter
@Setter
public class QuestionDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * question_id
     */
    private Long questionId;

    /**
     * 名称
     */
    private String name;

    /**
     * 后置内容
     */
    private String labelPrefix;

    /**
     * 后置内容
     */
    private String labelSuffix;

    /**
     * 排序号
     */
    private Integer orderNo;

    /**
     * 是否默认被选中（0：不选中，1：选中）
     */
    private String defaultSelect;

    /**
     * 特殊编码(1：伴，2：无)
     */
    private Integer code;

    /**
     * 备注
     */
    private String remark;
}
