package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * <p>
 * 标签基础表
 * </p>
 *
 * @author zhoutg
 * @since 2018-12-03
 */
@TableName("icss_question_info")
@Getter
@Setter
public class QuestionInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 标签名
     */
    private String tagName;

    /**
     * 内容
     */
    private String name;

    /**
     * 性别(1：男 2：女 3：通用)
     */
    private Integer sexType;

    /**
     * 最小年龄
     */
    private Integer ageBegin;

    /**
     * 最大年龄
     */
    private Integer ageEnd;

    /**
     * 标签标识(1：单项单列，例如： 程度，咳出通畅度  2：单项多列，例如：杂音，添加症状 3：横铺单标签形式，例如：血压 4：横铺多标签形式，例如：咳嗽 5：竖铺组合项，例如：有无治疗 6：组合项多列 既往史 7：化验)
     */
    private String tagType;

    /**
     * 控件类型(0：无类型，默认值 1：下拉单选 2：下拉多选 3：纯文本 4：待定 5：待定 6：文本框 7：数字键盘文本框 99：联合推送)
     */
    private Integer controlType;

    /**
     * 类型（1：症状 3：其他史 4：查体，5：化验 6：辅检 7：诊断）
     */
    private Integer type;

    /**
     * 子类型，(0：项目，1：描述)
     */
    private Integer subType;

    /**
     * 前置内容
     */
    private String labelPrefix;

    /**
     * 后置内容
     */
    private String labelSuffix;

    /**
     * 最小值
     */
    private BigDecimal minValue;

    /**
     * 最大值
     */
    private BigDecimal maxValue;

    /**
     * 判断类型（0:本身异常；1:本身正常；2:数字范围；3:计算公式；9:无需判断）
     */
    private String judgeType;

    /**
     * 文本生成规则(0：点选顺序，例如初为 1：从上到下，从左到右，例如查体杂音 2：从左到右，从上到下，例如伴/无)
     */
    private Integer textGenerate;

    /**
     * 是否复制 (0：不复制，1：复制)
     */
    private String copyType;

    /**
     * 是否显示+ （0：不显示 1：显示），+功能等于复制
     */
    private Integer showAdd;

    /**
     * 备注
     */
    private String remark;

}
