package com.diagbot.facade;

import com.diagbot.dto.QuestionIndexDTO;
import com.diagbot.entity.QuestionInfo;
import com.diagbot.enums.IsDeleteEnum;
import com.diagbot.service.impl.QuestionInfoServiceImpl;
import com.diagbot.util.DateUtil;
import com.diagbot.util.StringUtil;
import com.diagbot.util.UserUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Arrays;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2018/11/23 11:37
 */
@Component
public class QuestionInfoFacade extends QuestionInfoServiceImpl {

    @Autowired
    QuestionDetailFacade questionDetailFacade;
    @Autowired
    QuestionMappingFacade questionMappingFacade;
    @Autowired
    ModuleDetailFacade moduleDetailFacade;

    /**
     * 根据id删除标签
     *
     * @param ids
     * @return
     */
    public Boolean deleteByIdsFac(String ids) {

        if(StringUtil.isEmpty(ids)) {
            return true;
        }

        Map paramMap = new HashMap<>();
        paramMap.put("delete", IsDeleteEnum.Y.getKey());
        paramMap.put("ids", Arrays.asList(ids.split(",")));
        paramMap.put("gmtModified", DateUtil.now());
        paramMap.put("modifier", UserUtils.getCurrentPrincipleID());

        //删除自身
        this.deleteByIds(paramMap);

        //删除明细
        questionDetailFacade.deleteByQuestionIdFac(paramMap);

        //删除映射关系
        questionMappingFacade.deleteByIdsFac(paramMap);

        //删除模板中的标签
        moduleDetailFacade.deleteByQuestionIdFac(paramMap);
        return true;
    }


    /**
     * 检索
     *
     * @param questionIndexDTO
     * @return
     */
    public List<QuestionInfo> indexFac(QuestionIndexDTO questionIndexDTO) {
        Map<String, Object> paramMap = new HashMap<>();
        paramMap.put("isDeleted", IsDeleteEnum.N.getKey());
        paramMap.put("age", questionIndexDTO.getAge());
        paramMap.put("sexType", questionIndexDTO.getSexType());
        paramMap.put("tagName", questionIndexDTO.getTagName());
        paramMap.put("type", questionIndexDTO.getType());
        return this.index(paramMap);
    }
}
