/**
 * 
 */
package com.diagbot.facade;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.diagbot.dto.GetRetrievalsByTagDTO;
import com.diagbot.service.impl.RetrievalServiceImpl;
import com.diagbot.vo.DelRetrievalsByMapsVO;
import com.diagbot.vo.GetRetrievalsByTagVO;

/**
 * @Description
 * @author rgb
 * @time 2018年12月5日下午4:53:59
 */
@Component
public class RetrievalFacede extends RetrievalServiceImpl {
	
	@Autowired
	private RetrievalMappingFacede retrievalMappingFacede;
	
	/**
	 * 根据标签获取同义词
	 * @param getRetrievalsByTagVO
	 * @return
	 */
	public List<GetRetrievalsByTagDTO> getRetrievalsByTag(GetRetrievalsByTagVO getRetrievalsByTagVO){
		
		return this.baseMapper.getRetrievalsByTag(getRetrievalsByTagVO);
	}

	/**
	 * 根据映射关系删除标签的同义词
	 * @param delRetrievalsByMapsVO
	 * @return
	 */
	public Boolean delRetrievalsByMaps(DelRetrievalsByMapsVO delRetrievalsByMapsVO){
		retrievalMappingFacede.removeByIds(delRetrievalsByMapsVO.getRetrievalMappingIds());
		return true;
	}
	
}
