package com.diagbot.web;

import com.diagbot.dto.RespDTO;
import com.diagbot.facade.UploadFacade;
import io.swagger.annotations.Api;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

@RestController
@Api(value = "文件上传API", tags = { "文件上传API" })
@RequestMapping("/file")
@SuppressWarnings("unchecked")
public class UploadController {
    @Autowired
    private UploadFacade uploadFacade;

    @PostMapping("/upload")
    public RespDTO<String> singleFileUpload(@RequestParam("file") MultipartFile file) {
        return RespDTO.onSuc(uploadFacade.singleFileUpload(file));
    }

    @PostMapping("/deleteRemoteFile")
    public RespDTO<Boolean> deleteRemoteFile(@RequestParam("path") String path) {
        return RespDTO.onSuc(uploadFacade.deleteRemoteFile(path));
    }
}